org.apache.lucene.queryparser.surround.query

## Class DistanceQuery

- java.lang.Object
- - org.apache.lucene.queryparser.surround.query.SrndQuery
  - - org.apache.lucene.queryparser.surround.query.ComposedQuery
    - - org.apache.lucene.queryparser.surround.query.DistanceQuery

- All Implemented Interfaces:
    Cloneable, DistanceSubQuery

      public class DistanceQuery
      extends ComposedQuery
      implements DistanceSubQuery

  Factory for NEAR queries

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

      `opName, queries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistanceQuery(List<SrndQuery> queries, boolean infix, int opDistance, String opName, boolean ordered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSpanQueries(SpanNearClauseFactory sncf)`
    `String` | `distanceSubQueryNotAllowed()` When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
    `int` | `getOpDistance()`
    `Query` | `getSpanNearQuery(IndexReader reader, String fieldName, BasicQueryFactory qf)`
    `Query` | `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
    `boolean` | `subQueriesOrdered()`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.ComposedQuery

      `getBracketClose, getBracketOpen, getNrSubQueries, getOperatorName, getPrefixSeparator, getSubQueriesIterator, getSubQuery, infixToString, isFieldsSubQueryAcceptable, isOperatorInfix, makeLuceneSubQueriesField, prefixToString, recompose, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery

      `clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistanceQuery

          public DistanceQuery(List<SrndQuery> queries,
                               boolean infix,
                               int opDistance,
                               String opName,
                               boolean ordered)

  - ### Method Detail

    - #### getOpDistance

          public int getOpDistance()

    - #### subQueriesOrdered

          public boolean subQueriesOrdered()

    - #### distanceSubQueryNotAllowed

          public String distanceSubQueryNotAllowed()

      Description copied from interface: `DistanceSubQuery`
      When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
      When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.
      Specified by:
        `distanceSubQueryNotAllowed` in interface `DistanceSubQuery`

    - #### addSpanQueries

          public void addSpanQueries(SpanNearClauseFactory sncf)
                              throws IOException

      Specified by:
        `addSpanQueries` in interface `DistanceSubQuery`
      Throws:
        `IOException`

    - #### getSpanNearQuery

          public Query getSpanNearQuery(IndexReader reader,
                                        String fieldName,
                                        BasicQueryFactory qf)
                                 throws IOException

      Throws:
        `IOException`

    - #### makeLuceneQueryFieldNoBoost

          public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                   BasicQueryFactory qf)

      Specified by:
        `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.